#include "stdafx.h"
#include "spltest.h"
#include "splasher.h"
#include "MainFrm.h"
#include "spltestDoc.h"
#include "spltestView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#ifndef LWA_ALPHA
#define LWA_ALPHA 0x00000002
#endif


//Our simple derived Splash screen class, which just uses the bitmap resource IDB_SPLASH
class CMySplashWnd : public CSplashWnd
{
public:
//Constructors / Destructors
  CMySplashWnd()
  {
    //Lets use an almost opaque splash window with some "cut-out" sections in it
    SetBitmapToUse(IDB_SPLASH);
    SetDropShadow();
    SetTransparent(RGB(255, 0, 255), LWA_ALPHA, 224);                       
  }

  DECLARE_DYNCREATE(CMySplashWnd);
};

IMPLEMENT_DYNCREATE(CMySplashWnd, CSplashWnd);


BEGIN_MESSAGE_MAP(CSpltestApp, CWinApp)
  ON_COMMAND(ID_APP_ABOUT, &CSpltestApp::OnAppAbout)
  ON_COMMAND(ID_FILE_NEW, &CWinApp::OnFileNew)
  ON_COMMAND(ID_FILE_OPEN, &CWinApp::OnFileOpen)
  ON_COMMAND(ID_FILE_PRINT_SETUP, &CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

CSpltestApp::CSpltestApp()
{
}

CSpltestApp theApp;

BOOL CSpltestApp::InitInstance()
{
  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN//////////////////////
  CSplashFactory factory;
  if (!factory.Create(RUNTIME_CLASS(CMySplashWnd)))
  {
    AfxMessageBox(_T("Failed to create splash screen"), MB_OK | MB_ICONSTOP);
    return FALSE;
  }
  
  //Simulate some slow loading process. Your code might 
  //load up some info from a file or make a network connection etc.
  Sleep(5000);
  
  //Usual MFC stuff
  CSingleDocTemplate* pDocTemplate;
  pDocTemplate = new CSingleDocTemplate(
    IDR_MAINFRAME,
    RUNTIME_CLASS(CSpltestDoc),
    RUNTIME_CLASS(CMainFrame),
    RUNTIME_CLASS(CSpltestView));
  AddDocTemplate(pDocTemplate);
  CCommandLineInfo cmdInfo;
  ParseCommandLine(cmdInfo);
  if (!ProcessShellCommand(cmdInfo))
    return FALSE;
  
  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN//////////////////////
  //call close, it will be done for you automatically when "factory" goes out
  //of scope!!. 
  factory.Close();
  ////////////////////////////////////////////////////////////////////////////

  return TRUE;
}

class CAboutDlg : public CDialog
{
public:
//Constructors / Destructors
  CAboutDlg();

  enum { IDD = IDD_ABOUTBOX };

protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

  DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
  //Let the base class do its thing
  CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


void CSpltestApp::OnAppAbout()
{
  CAboutDlg aboutDlg;
  aboutDlg.DoModal();
}
