#include "stdafx.h"
#include "spltestdlg.h"
#include "spltestdlgDlg.h"
#include "..\Splasher.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#ifndef LWA_ALPHA
#define LWA_ALPHA 0x00000002
#endif


//Our simple derived Splash screen class, which just uses the bitmap resource IDB_SPLASH
class CMySplashWnd : public CSplashWnd
{
public:
//Constructors / Destructors
  CMySplashWnd()
  {
    //Lets use an almost opaque splash window with some "cut-out" sections in it
    SetBitmapToUse(IDB_SPLASH);
    SetDropShadow();
    SetTransparent(RGB(255, 0, 255), LWA_ALPHA, 224);                       
  }

  DECLARE_DYNCREATE(CMySplashWnd);
};

IMPLEMENT_DYNCREATE(CMySplashWnd, CSplashWnd);


BEGIN_MESSAGE_MAP(CSpltestdlgApp, CWinApp)
END_MESSAGE_MAP()

CSpltestdlgApp::CSpltestdlgApp()
{
}

CSpltestdlgApp theApp;

BOOL CSpltestdlgApp::InitInstance()
{
  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN//////////////////////
  CSplashFactory factory;
  if (!factory.Create(RUNTIME_CLASS(CMySplashWnd)))
  {
    AfxMessageBox(_T("Failed to create splash screen"), MB_OK | MB_ICONSTOP);
    return FALSE;
  }
  ////////////////////////////////////////////////////////////////////////////


  CSpltestdlgDlg dlg;
  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN /////////////////////
  dlg.m_pSplashFactory = &factory;
  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN /////////////////////
  m_pMainWnd = &dlg;
  dlg.DoModal();

  return FALSE;
}
