#include "stdafx.h"
#include "spltestdlg.h"
#include "spltestdlgDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


CSpltestdlgDlg::CSpltestdlgDlg(CWnd* pParent)	: CDialog(CSpltestdlgDlg::IDD, pParent), 
                                                m_pSplashFactory(NULL),
                                                m_hIcon(AfxGetApp()->LoadIcon(IDR_MAINFRAME))
{
}

void CSpltestdlgDlg::DoDataExchange(CDataExchange* pDX)
{
  //Let the base class do its thing
  CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CSpltestdlgDlg, CDialog)
  ON_WM_PAINT()
  ON_WM_QUERYDRAGICON()
END_MESSAGE_MAP()


BOOL CSpltestdlgDlg::OnInitDialog()
{
  //Let the base class do its thing
  CDialog::OnInitDialog();

  SetIcon(m_hIcon, TRUE); //Set big icon
  SetIcon(m_hIcon, FALSE); //Set small icon

  //Simulate some slow loading process. Your code might 
  //load up some info from a file or make a network connection etc.
  Sleep(5000);

  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN /////////////////////
  ASSERT(m_pSplashFactory);
  m_pSplashFactory->Close();
  ////////////////////////////////////////////////////////////////////////////
  
  return TRUE; //return TRUE  unless you set the focus to a control
}

void CSpltestdlgDlg::OnPaint() 
{
  if (IsIconic())
  {
    CPaintDC dc(this); // device context for painting

    SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

    //Center icon in client rectangle
    int cxIcon = GetSystemMetrics(SM_CXICON);
    int cyIcon = GetSystemMetrics(SM_CYICON);
    CRect rect;
    GetClientRect(&rect);
    int x = (rect.Width() - cxIcon + 1) / 2;
    int y = (rect.Height() - cyIcon + 1) / 2;

    //Draw the icon
    dc.DrawIcon(x, y, m_hIcon);
  }
  else
  {
    //Let the base class do its thing
    CDialog::OnPaint();
  }
}

HCURSOR CSpltestdlgDlg::OnQueryDragIcon()
{
  return static_cast<HCURSOR>(m_hIcon);
}
